PMAP_PROTECT(9)

NAME
pmap_protect - set physical page protection

SYNOPSIS
#include <sys/param.h>
#include <vm/vm.h>
#include <vm/pmap.h>
void
pmap_protect(pmap_t pmap, vm_offset_t sva, vm_offset_t eva, vm_prot_t prot);

DESCRIPTION
The pmap_protect() function sets the physical page permissions to prot for all physical pages in the physical map pmap in the virtual address range between sva and eva.

SEE ALSO
pmap(9)

AUTHORS
This manual page was written by Bruce M Simpson <bms@spc.org>.